Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.rdf.model
Interface NodeIterator

All Superinterfaces:
  ClosableIterator, ExtendedIterator, java.util.Iterator

    public interface NodeIterator

extends ExtendedIterator

An iterator which returns RDF nodes.

RDF iterators are standard Java iterators, except that they have an extra method that returns specifically typed objects, in this case RDF nodes, and have a `close()` method. thatshould be called to free resources if the application does not complete the iteration.

Version:
  Release='$Name: $' Revision='$Revision: 1.11 $' Date='$Date: 2008/01/02 12:05:46 $'
Author:
  bwm

Method Summary
`void` | `close()` Terminate the iteration and free up resources.
`boolean` | `hasNext()` Determine if there any more values in the iteration. .
`java.lang.Object` | `next()` Return the next RDFNode of the iteration.
`RDFNode` | `nextNode()` Return the next RDFNode of the iteration.
`void` | `remove()` Unsupported Operation.

Methods inherited from interface com.hp.hpl.jena.util.iterator.ExtendedIterator
`andThen, filterDrop, filterKeep, mapWith, removeNext, toList, toSet`

Method Detail

### hasNext

    boolean hasNext()

  Determine if there any more values in the iteration. .

  Specified by:
    `hasNext` in interface `java.util.Iterator`
  Returns:
    true if and only if there are more values available from the iteration.

### next

    java.lang.Object next()
                          throws java.util.NoSuchElementException

  Return the next RDFNode of the iteration.

  Specified by:
    `next` in interface `java.util.Iterator`
  Returns:
    The next RDFNode from the iteration.
  Throws:
    `java.util.NoSuchElementException` - if there are no more nodes to be returned. .

### nextNode

    RDFNode nextNode()
                     throws java.util.NoSuchElementException

  Return the next RDFNode of the iteration.

  Returns:
    The next RDFNode from the iteration.
  Throws:
    `java.util.NoSuchElementException` - if there are no more nodes to be returned. .

### remove

    void remove()
                throws java.util.NoSuchElementException

  Unsupported Operation.

  Specified by:
    `remove` in interface `java.util.Iterator`
  Throws:
    `java.util.NoSuchElementException`

### close

    void close()

  Terminate the iteration and free up resources.

  Some implementations, e.g. on relational databases, hold resources while the iterator still exists. These will normally be freed when the iteration completes. However, if an application wishes to ensure they are freed without completing the iteration, this method should be called.

  .

  Specified by:
    `close` in interface `ClosableIterator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP